Subject: Re: bug#33847: 27.0.50; emacsclient does not find server socket

From: Ulrich Mueller <[email-masked]>
Date: Sat, 22 Aug 2020 09:24:39 +0200

>>>>> On Fri, 21 Aug 2020, Paul Eggert wrote:

> These use cases continue to be dubious security-wise (for other
> programs as well as for Emacs), but if they're popular then this patch
> should help people avoid shooting themselves in the foot quite so
> often.

Looks complicated.

What about my earlier suggestion to avoid both /tmp and XDG_RUNTIME_DIR,
but create the socket in a subdir of user-emacs-directory instead?